#!/bin/bash
(
  echo 'digraph G {' &&
  grep import *.hs |
  sed 's/.hs:import /->/g' |
  sed 's/(.*)//g' |
  sed 's/qualified //g' |
  grep -v '\.' |
  grep -v 'Amiga' |
  grep -v 'Human' |
  sed 's/$/;/g' |
  sort |
  uniq &&
  echo '};'
) > ../docs/modules.dot &&
dot -Tpng <../docs/modules.dot >../docs/modules.png
