module MMDInstrInfo where

import Amiga

data MMDInstrInfo = MMDInstrInfo
  { name :: Maybe [ UBYTE ]
  }
  deriving (Show)

peek :: UWORD -> MEM -> PTR -> IO MMDInstrInfo
peek size m p = do
  name' <- skipIf (size < 40) $ mapM (peekUBYTE m) $ pointerRange p 1 40
  return $ MMDInstrInfo
    name'
